<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.mmc.iuav.user.dao.xzsz.WithdrawalDao">

    <insert id="insertWithdrawalApply" useGeneratedKeys="true" keyProperty="id"
            parameterType="com.mmc.iuav.user.entity.XzWithdrawalApplyDO">
        insert into xz_withdrawal_apply (user_account_id,
                                         bank_name,
                                         emp_name,
                                         emp_phone,
                                         license_id,
                                         license_type,
                                         `month`,
                                         outer_trade_no,
                                         pay_account,
                                         pay_amount,
                                         position_name,
                                         settle_type,
                                         trade_status)
        values (#{userAccountId}, #{bankName}, #{empName}, #{empPhone}, #{licenseId}, #{licenseType}, #{month},
                #{outerTradeNo}, #{payAccount}, #{payAmount}, #{positionName}, #{settleType}, #{tradeStatus})
    </insert>
</mapper>